<?php
/*
NOTICE OF LICENSE

This source file is subject to the NekloEULA that is bundled with this package in the file ICENSE.txt.

It is also available through the world-wide-web at this URL: http://store.neklo.com/LICENSE.txt

Copyright (c)  Neklo (http://store.neklo.com/)
*/


namespace Neklo\Scheduler\Controller\Adminhtml\Job;

use Neklo\Scheduler\Controller\Adminhtml;
use Neklo\Scheduler\Api\Data\JobInterface;

class Save extends Adminhtml\Action
{
    const REDIRECT_URL = '*/job/index';

    public function execute()
    {
        /** @var \Magento\Backend\Model\View\Result\Redirect $resultRedirect */
        $resultRedirect = $this->resultRedirectFactory->create();

        $data = $this->getRequest()->getParams();
        $id = $data[JobInterface::JOB_ID];

        try {
            if ($id) {
                /** @var $model \Neklo\Scheduler\Model\Job */
                $model = $this->_objectManager->create(\Neklo\Scheduler\Model\Job::class);
                $model->load($id);
                if ($model->getId()) {
                    $model->setData($data)->save();
                    $name = $model->getJobCode();
                    $this->messageManager->addSuccess(
                        __('Schedule %1 saved', $name)
                    );
                }
            } else {
                $this->messageManager->addError(__('Data ID missing - error'));
            }
        } catch (\Exception $e) {
            $this->messageManager->addError(__('Operation error'));
            $this->_session->setFormData($data);
            return $this->_redirect('*/job/edit', ['id' => $id, 'back' => null, '_current' => true]);
        }

        if ($this->getRequest()->getParam('back')) {
            return $resultRedirect->setPath('*/*/edit', ['id' => $id, 'back' => null, '_current' => true]);
        }

        return $resultRedirect->setPath(static::REDIRECT_URL);
    }
}
