<?php
/*
NOTICE OF LICENSE

This source file is subject to the NekloEULA that is bundled with this package in the file ICENSE.txt.

It is also available through the world-wide-web at this URL: http://store.neklo.com/LICENSE.txt

Copyright (c)  Neklo (http://store.neklo.com/)
*/


namespace Neklo\Scheduler\Model\Source\Schedule;

use Neklo\Scheduler\Model\Schedule;

class Status implements \Magento\Framework\Option\ArrayInterface
{
    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
        return [
            [
                "value" => Schedule::STATUS_PENDING,
                "label" => __("Pending"),
            ],
            [
                "value" => Schedule::STATUS_SUCCESS,
                "label" => __("Success"),
            ],
            [
                "value" => Schedule::STATUS_REPEAT,
                "label" => __("Repeat"),
            ],
            [
                "value" => Schedule::STATUS_ERROR,
                "label" => __("Error"),
            ],
            [
                "value" => Schedule::STATUS_RUNNING,
                "label" => __("Running"),
            ],
            [
                "value" => Schedule::STATUS_MISSED,
                "label" => __("Missed"),
            ],
            [
                "value" => Schedule::STATUS_SKIP_LOCKED,
                "label" => __("Locked"),
            ],
            [
                "value" => Schedule::STATUS_SKIP_OTHERJOBRUNNING,
                "label" => __("Skipped - Other jobs running"),
            ],
            [
                "value" => Schedule::STATUS_SKIP_WRONGUSER,
                "label" => __("Skipped - Wrong user"),
            ],
            [
                "value" => Schedule::STATUS_SKIP_PILINGUP,
                "label" => __("Skipped - Piling up"),
            ],
            [
                "value" => Schedule::STATUS_DISAPPEARED,
                "label" => __("Disappeared"),
            ],
            [
                "value" => Schedule::STATUS_DIDNTDOANYTHING,
                "label" => __("Didn't do anything"),
            ],
            [
                "value" => Schedule::STATUS_KILLED,
                "label" => __("Killed"),
            ],
            [
                "value" => Schedule::STATUS_DIED,
                "label" => __("Died"),
            ]
        ];
    }

    /**
     * Get options in "key-value" format
     *
     * @return array
     */
    public function toArray()
    {
        return [
            Schedule::STATUS_PENDING              => __("Pending"),
            Schedule::STATUS_SUCCESS              => __("Success"),
            Schedule::STATUS_REPEAT               => __("Repeat"),
            Schedule::STATUS_ERROR                => __("Error"),
            Schedule::STATUS_RUNNING              => __("Running"),
            Schedule::STATUS_MISSED               => __("Missed"),
            Schedule::STATUS_SKIP_LOCKED          => __("Locked"),
            Schedule::STATUS_SKIP_OTHERJOBRUNNING => __("Skipped - Other jobs running"),
            Schedule::STATUS_SKIP_WRONGUSER       => __("Skipped - Wrong user"),
            Schedule::STATUS_SKIP_PILINGUP        => __("Skipped - Piling up"),
            Schedule::STATUS_DISAPPEARED          => __("Disappeared"),
            Schedule::STATUS_DIDNTDOANYTHING      => __("Didn't do anything"),
            Schedule::STATUS_KILLED               => __("Killed"),
            Schedule::STATUS_DIED                 => __("Died"),
        ];
    }
}
